<?php
/*
Plugin Name: Image Copytrack
Plugin URI: https://meowapps.com
Description: Copytrack detects where your images has been used on the web and assist you in the legal process, for free.
Version: 1.1.2
Author: Jordy Meow
Text Domain: copytrack
Domain Path: /languages

Dual licensed under the MIT and GPL licenses:
http://www.opensource.org/licenses/mit-license.php
http://www.gnu.org/licenses/gpl.html
*/

if ( !( is_admin() || strpos( trailingslashit( $_SERVER['REQUEST_URI'] ), '/' . trailingslashit( rest_get_url_prefix() ) ) === 0 ) )
	return;

if ( class_exists( 'Meow_Copytrack_Core' ) ) {
	function mfrh_admin_notices() {
		echo '<div class="error"><p>Thanks for installing Copytrack :) However, another version is still enabled. Please disable or uninstall it.</p></div>';
	}
	add_action( 'admin_notices', 'mfrh_admin_notices' );
	return;
}

// if ( !get_transient( 'mct_event_special_message' ) ) {
//   function mct_event_special_message_admin_notices() {
//     echo '<div class="notice notice-success"><p>Happy New Year, Happy WordPress Day, etc!</p>';
//     echo '<p>
//       <form method="post" action="">
//         <input type="hidden" name="mct_event_special_message" value="true">
//         <input type="submit" name="submit" id="submit" class="button" value="Hide this">
//       </form>
//     </p>
//     ';
//     echo '</div>';
//   }
//   if ( isset( $_POST['mct_event_special_message'] ) ) {
//     set_transient( 'mct_event_special_message', 'hide', 60 * 60 * 24 * 100 );
//   }
//   else
//     add_action( 'admin_notices', 'mct_event_special_message_admin_notices' );
// }

global $mct_version;
$mct_version = '1.1.2';

// Admin
include "mct_admin.php";
$mct_admin = new Meow_Copytrack_Admin( 'mct', __FILE__, 'image-copytrack' );

// Core
include "mct_core.php";
$mct_core = new Meow_Copytrack_Core( $mct_admin );

?>
